SingleResult
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data
Class SingleResult

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data.SingleResult

    public class SingleResult

extends java.lang.Object

Constructor Summary
`SingleResult(java.lang.String Category, java.lang.String Column, double Score, java.lang.String TableName, java.lang.String FamilyID)`

Method Summary
`java.lang.String` | `getCategory()`
`java.lang.String` | `getColumn()`
`java.lang.String` | `getFamilyID()`
`double` | `getScore()`
`java.lang.String` | `getStringScore()`
`java.lang.String` | `getTablename()`
`void` | `setCategory(java.lang.String category)`
`void` | `setColumn(java.lang.String column)`
`void` | `setFamilyID(java.lang.String familyID)`
`void` | `setScore(double score)`
`void` | `setTablename(java.lang.String tablename)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleResult

    public SingleResult(java.lang.String Category,
                        java.lang.String Column,
                        double Score,
                        java.lang.String TableName,
                        java.lang.String FamilyID)

Method Detail

### setCategory

    public void setCategory(java.lang.String category)

### getCategory

    public java.lang.String getCategory()

### setColumn

    public void setColumn(java.lang.String column)

### getColumn

    public java.lang.String getColumn()

### setScore

    public void setScore(double score)

### getScore

    public double getScore()

### getStringScore

    public java.lang.String getStringScore()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setTablename

    public void setTablename(java.lang.String tablename)

### getTablename

    public java.lang.String getTablename()

### setFamilyID

    public void setFamilyID(java.lang.String familyID)

### getFamilyID

    public java.lang.String getFamilyID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD